/*
 * @Author: zc
 * @description 数据统计-话务统计
 */
import request from '@/utils/request';
import qs from "qs";
/**
 * @description 智能回访基础数据
 * @param {object} params
 */
export const  getSmartVisitBaseData = (params?:object) => {
    return request({
        url: `/api/v1/Ai/aivisit/taskbase-data`,
        method: 'get',
        params
    });
}
/**
 * @description 智能回访列表
 * @param {object} params
 */
export const  getSmartVisitList = (params:object) => {
    return request({
        url: `/api/v1/Ai/aivisit/aivisit-list`,
        method: 'get',
        params
    });
}
/**
 * @description 智能回访列表导出
 * @param {object} data
 */
export const  getSmartVisitExport = (data:object) => {
    return request({
        url: `/api/v1/Ai/aivisit/taskexport`,
        method: 'post',
        data,
        responseType: 'blob',
    },{
        reduce_data_format:false
    });
}
/**
 * @description 智能回访明细
 * @param {object} params
 */
export const  getSmartVisitDetail = (params:object) => {
    return request({
        url: `/api/v1/Ai/aivisit/aivisitdetail-list`,
        method: 'get',
        params
    });
}
/**
 * @description 智能回访明细导出
 * @param {object} data
 */
export const  getSmartVisitDetailExport = (data:object) => {
    return request({
        url: `/api/v1/Ai/aivisit/taskdetailexport`,
        method: 'post',
        data,
        responseType: 'blob',
    },{
        reduce_data_format:false
    });
}
/**
 * @description 可进行智能回访记录
 * @param {object} params
 */
export const  getSmartVisitRecord = (params:object) => {
    return request({
        url: `/api/v1/Ai/aivisit/canaivisit-list`,
        method: 'get',
        params,
    });
}
/**
 * @description  新增智能回访任务
 * @param {object} data
 */
export const  smartVisitAdd = (data:object) => {
    return request({
        url: `/api/v1/Ai/aivisit/add-aivisit`,
        method: 'post',
        data
    });
}
/**
 * @description  新增智能回访任务 基础数据
 */
export const  smartVisitBaseData = () => {
    return request({
        url: `/api/v1/Ai/aivisit/base-data`,
        method: 'get',
    });
}