import { createApp } from 'vue';
import pinia from '@/stores/index';
import App from './App.vue';
import router from './router';
import { directive } from '@/directive';
import other from '@/utils/other';
//  引入element
import ElementPlus from 'element-plus';
import 'element-plus/dist/index.css';
import '@/theme/index.scss';
// 表格组件
import ProTable from '@/components/ProTable/index.vue';
import { MotionPlugin } from '@vueuse/motion';

// 注册echarts
import { registerEcharts } from '@/utils/echarts';
import JsonViewer from 'vue-json-viewer';


const app = createApp(App);

// 自定义指令和svg组件
directive(app);
other.elSvg(app);
// 全局组件挂载
app.component('ProTable', ProTable);
registerEcharts(app);
app.use(pinia).use(router).use(ElementPlus).use(MotionPlugin).use(JsonViewer).mount('#app');
